import { Component } from "react";
import { View, Text, Image } from "@tarojs/components";
import "./index.scss";
import { AtTabBar } from "taro-ui";
import React, { useCallback, useEffect, useState } from "react";
import { AtGrid } from "taro-ui";
import { Swiper, SwiperItem } from "@tarojs/components";
import { AtCard } from "taro-ui";
import { AtImagePicker } from "taro-ui";
import Taro from "@tarojs/taro";
import { AtAvatar } from "taro-ui";

import { AtList, AtListItem } from "taro-ui";

// export default class Index extends Component {
const Detail = () => {
  const [current, setcurrent] = useState(2);
  const handleClick = (value) => {
    console.log("value", value);
    setcurrent(value);
    if (value == 2) {
      // 跳转到目的页面，在当前页面打开
      Taro.navigateTo({
        url: "/pages/my/index",
      });
    } else if (value == 0) {
      Taro.navigateTo({
        url: "/pages/index/index",
      });
    } else {
      Taro.navigateTo({
        url: "/pages/meetup/index",
      });
    }
  };
  return (
    <View className="my">
      {/* <Text>Hello world!</Text> */}
      {/* <AtAvatar image='https://cdn.huodongxing.com/logo/202312/8732019012100/promoteMini.png'></AtAvatar> */}

      <AtList>
        <AtListItem
          title="联系我们"
          note=""
          arrow="right"
          iconInfo={{ size: 25, color: "#78A4FA", value: "calendar" }}
        />
        <AtListItem
          title="版本日志"
          note=""
          extraText=""
          arrow="right"
          iconInfo={{ size: 25, color: "#FF4949", value: "bookmark" }}
        />
      </AtList>

      {/* <View className="indexTablebar">
        <AtTabBar
          tabList={[
            { title: "首页", text: "" },
            { title: "活动" },
            { title: "我的" },
          ]}
          onClick={(value) => handleClick(value)}
          current={current}
        />
      </View> */}
    </View>
  );
};

export default Detail;
